torify(1)

NAME

torify - wrapper for tsocks and tor

SYNOPSIS
torify application [application's arguments]

DESCRIPTION
torify is a simple wrapper that calls tsocks with a tor specific configuration file.

tsocks itself is a wrapper between the tsocks library and the application that you would like to run socksified.

Please note that since tsocks uses LD_PRELOAD, torify cannot be applied to suid binaries.

You should also be aware that the way tsocks currently works only TCP connections are socksified. Be aware that this will in most circumstances not include hostname lookups which would still be routed through your normal system resolver to your usual resolving nameservers. The tor-resolve(1) tool can be useful as a workaround in some cases. The Tor FAQ at https://wiki.torproject.org/noreply/TheOnionRouter/TorFAQ might have further information on this subject.

SEE ALSO
tor(1), tor-resolve(1), tsocks(1), tsocks.conf(5).